from sklearn.svm import SVC
from sklearn.datasets import load_iris
from sklearn.model_selection import train_test_split
from sklearn.preprocessing import StandardScaler
from sklearn.metrics import accuracy_score
import numpy as np

def svm_iris_demo():
    iris = load_iris()
    X = iris.data[:, :2]
    y = iris.target
    X = X[y != 2]
    y = y[y != 2]
    X_train, X_test, y_train, y_test = train_test_split(X, y, test_size=0.25, random_state=42)
    scaler = StandardScaler()
    X_train = scaler.fit_transform(X_train)
    X_test = scaler.transform(X_test)
    model = SVC(kernel='linear')
    model.fit(X_train, y_train)
    y_pred = model.predict(X_test)
    return {
        'support_vectors': model.support_vectors_,
        'accuracy': accuracy_score(y_test, y_pred)
    }
